> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ntropy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server.

# Retrieve an entity

GET https://api.ntropy.com/v3/entities/{id}

Retrieve more information about an entity by using its unique ID.

Reference: https://docs.ntropy.com/documentation/api/entities/get-entity-by-id-v-3-entities-id-get

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Path parameters

- `id` (string, required) — The unique ID of the entity

## Response

### 200

Entity

- `id` (string, optional, nullable) — The unique UUID identifier of the entity
- `name` (string, optional, nullable) — The name of the entity
- `website` (string, optional, nullable) — The website URL of the entity
- `phone_number` (string, optional, nullable) — The phone number of the entity. This is a premium feature, please contact support to enable it.
- `tax_number` (string, optional, nullable) — The tax number of the entity. This is a premium feature, please contact support to enable it.
- `naics2017` (string, optional, nullable) — The 2017 NAICS code of the entity. This is a premium feature, please contact support to enable it.
- `logo` (string, optional, nullable) — Logo's URL
- `mccs` (list of integer, optional) — A list of [Merchant Category Codes](https://en.wikipedia.org/wiki/Merchant_category_code)
- `parent` (EntityParent, optional, nullable) — The parent entity
- `location` (Location, optional, nullable)

## Errors

### 400 Bad Request Error

Bad request.

- `any`

### 404 Not Found Error

Entity does not exist for ID

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### EntityParent

- `id` (string, optional, nullable) — The unique UUID identifier of the entity
- `name` (string, optional, nullable) — The name of the entity
- `website` (string, optional, nullable) — The website URL of the entity
- `phone_number` (string, optional, nullable) — The phone number of the entity. This is a premium feature, please contact support to enable it.
- `tax_number` (string, optional, nullable) — The tax number of the entity. This is a premium feature, please contact support to enable it.
- `naics2017` (string, optional, nullable) — The 2017 NAICS code of the entity. This is a premium feature, please contact support to enable it.

### Location

- `raw_address` (string, optional, nullable) — An unstructured string containing the address
- `structured` (LocationStructured, optional, nullable) — When raw is set, a structured representation of it.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### LocationStructured

- `street` (string, optional, nullable) — The street name of the location
- `city` (string, optional, nullable) — The city where the location is situated
- `state` (string, optional, nullable) — The state or region of the location
- `postcode` (string, optional, nullable) — The postal code or ZIP code of the location
- `country_code` (string, optional, nullable) — The country code of the location in ISO 3166-2 format
- `country` (string, optional, nullable) — The full name of the country
- `house_number` (string, optional, nullable) — The house number if, applicable
- `latitude` (double, optional, nullable) — The latitude coordinate of the location
- `longitude` (double, optional, nullable) — The longitude coordinate of the location
- `google_maps_url` (string, optional, nullable) — A URL link to view the location on Google Maps
- `apple_maps_url` (string, optional, nullable) — A URL link to view the location on Apple Maps
- `store_number` (string, optional, nullable) — A unique identifier for a specific store or branch, if applicable

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "id": "d4bc3c80-ec1a-3da2-836e-2a4ca4758be5",
  "name": "Starbucks",
  "website": "starbucks.com",
  "phone_number": "+1 4153753176",
  "tax_number": "80-0429876",
  "naics2017": "541519",
  "logo": "https://logos.ntropy.com/starbucks.com",
  "mccs": [
    5814
  ]
}
```

**SDK Code**

```python Python SDK
from ntropy_sdk import SDK

sdk = SDK("cd1H...Wmhl")
entity = sdk.entities.get("d4bc3c80-ec1a-3da2-836e-2a4ca4758be5")
```

```javascript
const url = 'https://api.ntropy.com/v3/entities/id';
const options = {method: 'GET', headers: {'X-Api-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.ntropy.com/v3/entities/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Api-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.ntropy.com/v3/entities/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.ntropy.com/v3/entities/id")
  .header("X-Api-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.ntropy.com/v3/entities/id', [
  'headers' => [
    'X-Api-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.ntropy.com/v3/entities/id");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Api-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Api-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/entities/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```